GNUNET-RECLAIM(1)

NAME
gnunet-reclaim - Command-line tools for re:claimID subsystem

SYNOPSIS
gnunet-reclaim [-c FILENAME | --config=FILENAME] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-l LOGFILE | --logfile=LOGFILE] [-e EGO | --ego=EGO] [-a NAME | --add=NAME] [-V VALUE | --value=VALUE] [-d ID | --delete=ID] [-r RP | --rp=RP] [-D | --dump] [-A | --credentials] [-I | --credential-idCREDENTIAL_ID] [-N | --credential-nameAR NAME] [-i A1,A2,... | --issue=A1,A2,...] [-C TICKET | --consume=TICKET] [-R TICKET | --revoke=TICKET] [-t TYPE | --type=TYPE] [-T | --tickets] [-E INTERVAL | --expiration=INTERVAL] [-v | --version]

DESCRIPTION
gnunet-reclaim allows you to manage identity attributes and manage authorizations.

-c FILENAME | --config=FILENAME
    Use the configuration file FILENAME.

-h | --help
    Print short help on options.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-l LOGFILE | --logfile=LOGFILE
    Configure logging to write logs to LOGFILE.

-e EGO | --ego=EGO
    Specify identity to use. Always required.

-a NAME | --add=NAME
    Add or update an attribute with NAME. Must be used in conjunction with -V

-V VALUE | --value=VALUE
    Specify value of attribute to add or update.

-t TYPE | --type=TYPE
    Specify type of attribute to add (Default: STRING)

-d ID | --delete=ID
    Delete an attribute with ID.

-E INTERVAL | --expiration=INTERVAL
    Specify relative expiration interval (freshness) of attribute.

-D | --dump
    List all attributes for given identity.

-A | --credentials
    List credentials for a given identity.

-I | --credential-id=CREDENTIAL_ID
    Credential ID to use when creating an attribute backed by a credential

-N | --credential-name=NAME
    The name of the credential to add.

-i A1,A2,... | --issue=A1,A2,...
    Authorize a relying party to access a set of attributes. Must be used in conjunction with -r. Returns a TICKET.

-r RP | --rp=RP
    The relying party to authorize (see -i). RP is a PKEY of the entity.

-C TICKET | --consume=TICKET
    Consume TICKET and retrieve shared attributes. To be used by RP.

-R TICKET | --revoke=TICKET
    Revoke TICKET. To be used by identity which issued TICKET.

-T | --tickets
    List issued tickets.

-v | --version
    Print GNUnet version number.

SEE ALSO
The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.